Unit tzf14e_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF14D_p, ZF14E_p;

function tzf14e: String; 

implementation

function tzf14e: String;
var
ITMAX,N,NDIG,_i,IERR :Integer;
EPS,EPS1,EPS2 :Extended;
ROOT :Array [0..2] of Extended;
begin
Result := '';
ITMAX := 100;
N := 3;
EPS := 0.00001e0;
EPS1 := EPS;
EPS2 := 0.01e0;
ROOT[0] := -0.72e0;
ROOT[1] := 0.723e0;
ROOT[2] := 0.e0;
NDIG := 5;
ZF14E(FZF14D,N,EPS,NDIG,EPS1,EPS2,ROOT,ITMAX,IERR);
Result := Result + Format('%10d %24.14f %24.14f %24.14f %10d %10d %10d',
[N,EPS,EPS1,EPS2,NDIG,ITMAX,IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%24.14f ',[ROOT[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzf14e',Result);  //    tzf14e.res
exit;
end;

end.
